Contains channel information. Unlike Channel, this information won't be updated in realtime. To have fresh data, user should query for channel descriptors again.

### Hierarchy

- ChannelDescriptor

## Index

### Properties

- attributes
- channel
- createdBy
- dateCreated
- dateUpdated
- friendlyName
- isPrivate
- lastConsumedMessageIndex
- membersCount
- messagesCount
- notificationLevel
- sid
- status
- type
- uniqueName

### Methods

- getChannel

## Properties

### Readonly attributes

attributes: any

Custom attributes of the channel.

### Readonly channel

channel: string

Custom attributes of the channel.

### Readonly createdBy

createdBy: string

Identity of the user that created this channel.

### Readonly dateCreated

dateCreated: Date

Date this channel was created on.

### Readonly dateUpdated

dateUpdated: Date

Date this channel was last updated on.

### Readonly friendlyName

friendlyName: string

Name of the channel.

### Readonly isPrivate

isPrivate: boolean

Signifies whether the channel is private.

### Readonly lastConsumedMessageIndex

lastConsumedMessageIndex: number

Index of the last message the user has read in this channel.

### Readonly membersCount

membersCount: number

Amount of members in the channel.

### Readonly messagesCount

messagesCount: number

Amount of messages in the channel.

### Readonly notificationLevel

notificationLevel: NotificationLevel

User notification level for this channel.

### Readonly sid

sid: string

Unique system identifier of the channel.

### Readonly status

status: ChannelStatus

Delivery status of the channel.

### Readonly type

type: ChannelType

MemberType of the channel.

### Readonly uniqueName

uniqueName: string

Unique name of the channel.

## Methods

### getChannel

- getChannel(): Promise<Channel>

- Get the channel object from the descriptor.

  #### Returns Promise<Channel>